Bug 90790 - Maximized windows do not honor focus_mode preference
Summary: Maximized windows do not honor focus_mode preference
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-13 19:57 UTC by Bradley Gottfried
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 22:05:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bradley Gottfried 2003-05-13 19:57:16 UTC
Description of problem:
When using focus mode sloppy, or mouse (GConf /, apps, metacity, general,
focus_mode); if you have a smaller window on top of a maximized window the
maximized window comes to the front whenever the mouse goes over it.  This
happens almost instantaneously even if you have set the auto_raise value very
high, or shut it off completely.
The focus_mode behavior works as it should for non-maximized windows.

Version-Release number of selected component (if applicable):
metacity-2.4.34-3

How reproducible:
Always

Steps to Reproduce:
1.Set focus_mode to sloppy, and auto_raise off
2.Open two windows (i.e. gedit & calculator)
3.Maximize one of the windows (gedit)
4.Bring the smaller to the front (calculator)
5.Move the mouse over the maximized window

Actual Results:  The smaller window 'disappears' behind the larger one.

Expected Results:  Focus should move to the maximized window, but it should not
be brought to the front.

Comment 1 Havoc Pennington 2003-10-03 22:05:02 UTC
This works fine for me in metacity 2.6.2


Note You need to log in before you can comment on or make changes to this bug.